
.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}

.contact-box {
  .contact-box-footer_new {
    padding: 0;
    padding-top: 15px;
   width: 100%;
    margin-top: 20px;
  }
}

.question_round {
  span {
    display: block;
    height: 70px;
    //background: $light_yellow;
    font-size: 30px;
    padding: 10px;
    color: $yellow;
  }
}

.set-footer-margin {
  padding: 20px;
  margin-bottom: 70px;
  button {
    padding: 14px;
    font-size: 16px;
    background: $yellow;
  }
}

.progress_new {
  margin: 10px -20px -20px -20px;
  padding: 15px;
  background: #ececec;
}

.sidebar-brand-text {
  padding: 19px;
  font-size: 17px;
  color: #fff;
  background: darken($navy, 2%);
  width: 100%;
}

.img-responsive {
  max-width: 100%;
}

/*
checkboxs
 */

.checkbox {
  width: 100%;
  //padding: 0 8px;
  [type="checkbox"]:not(:checked),
  [type="checkbox"]:checked {
    position: absolute;
    left: -9999px;
  }
  [type="checkbox"]:not(:checked) + label,
  [type="checkbox"]:checked + label {
    //position: relative;
    //width: 100%;
    cursor: pointer;
  }

  /* checked mark aspect */
  [type="checkbox"]:not(:checked) + label:before,
  [type="checkbox"]:checked + label:after {
    content: " ";
    position: absolute;
    //@include border_radius(100px);
    transition: all .2s;
    z-index: -1;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
  }
  [type="checkbox"]:not(:checked) + label:before {
    background: $text-color;
  }
  [type="checkbox"]:checked + label:after {
    background: $yellow;
  }

  /* checked mark aspect changes */
  [type="checkbox"]:not(:checked) + label:before {
    opacity: 0;
    transform: scale(0);
  }
  [type="checkbox"]:checked + label:before {
    opacity: 1;
    transform: scale(1);
  }

  p {
    position: relative;
    z-index: 2;
    padding: 5px 20px;
    margin: 0;
    font-size: 28px;
    text-align: left;
    color: #fff;
    display: flex;
    span {
      //font-size: 18px;
      font-weight: bold;
      display: inline-block;
      color: #ff722d;
      width: 30px;
      height: 30px;
      //@include border_radius (60px);
      //border: 1px solid $ibox-content-bg;
      margin-right: 10px;
    }
  }
}

/*
radio button
 */

.checkbox {
  width: 100%;
  min-width: 350px;
  @media (min-width: 1020px) {
    min-width: 490px;
  }
  [type="radio"]:not(:checked),
  [type="radio"]:checked {
    position: absolute;
    left: 20px;
    width: 100%;
    height: 60px;
    top: 0;
    opacity: 0;
  }
  [type="radio"]:not(:checked) + label,
  [type="radio"]:checked + label {
    //position: relative;
    //width: 100%;
    cursor: pointer;
  }
  [type="radio"]:checked + label {
    color: $text-color;
    font-weight: bold;
  }

  /* checked mark aspect */
  [type="radio"]:not(:checked) + label:after,
  [type="radio"]:checked + label:after {
    content: " ";
    position: absolute;
    @include border_radius(10px);
    transition: all .2s;
    z-index: -1;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
  }
  [type="radio"]:not(:checked) + label:after {
    background: $text-color;
  }
  [type="radio"]:checked + label:after {
    background: $yellow;
  }

  /* checked mark aspect changes */
  //[type="radio"]:not(:checked) + label:after {
  //  opacity: 0;
  //  transform: scale(0);
  //}
  [type="radio"]:checked + label:after {
    opacity: 1;
    transform: scale(1);
  }
  p {
    position: relative;
    z-index: 2;
    padding: 5px 20px;
    margin: 0;
    text-align: left;
    color: #fff;
    display: flex;
    span {
      font-weight: bold;
      display: inline-block;
      width: 30px;
      height: 30px;
      margin-right: 10px;
      //@include border_radius (60px);
      //border: 1px solid $ibox-content-bg;
    }

  }
  .form-check-label {
    width: 100%;
    p.correct_answer {
      color: $text-color;
      [type="radio"]:checked + label:after, [type="radio"]:not(:checked) + label:after {
        background: $result;
      }
    }

  }
}

/*
Question result
 */
.grid-wrapper {
  display: grid;
}

.grid-container {
  display: grid;
  text-align: center;
}

.template_col_4_resalt {
  grid-template-areas: 'question' 'answers';
  padding-bottom: 12px;
}

.answers {
  grid-template-areas: 'checkbox checkbox ';
  grid-auto-columns: 1fr;
  grid-gap: 20px;
}

.template_col_4 {
  grid-template-areas: 'question question ' 'q_answer_first q_answer_first';
  //background-color: $ibox-title-bg;
  padding-bottom: 20px;
  margin-bottom: 20px;
  grid-gap: 20px;
  color: $ibox-content-bg;
}

.question-area {

}

.user_0 {
  grid-area: qs1;
}

.user_1 {
  grid-area: qs2;
}

.user_2 {
  grid-area: qs3;

}

.user_3 {
  grid-area: qs4;

}

.user_4 {
  grid-area: qs5;
}

.resault {
  .col-lg-6  {
    > div {
      background-color: $ibox-title-bg;
      margin: 0 auto;
      margin-bottom: 22px;
      color: #fff;
    }
  }
}

.template_col_5 {
.col-lg-12{
  background: $text-color;
  padding: 0;
  height: 230px;
  position: relative;
}

  .q-reply_1,
  .q-reply_2,
  .q-reply_3,
  .q-reply_4,
  .q-reply_5 {
    background: $border-color;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: $text-color;
  }

  .q-user_1,
  .q-user_2,
  .q-user_3,
  .q-user_4,
  .q-user_5 {
    text-align: center;
    padding: 5px;
    img {
      width: 200px;
      height: 200px;
      @include border-radius(200px);
      height: auto;
      //@include border_radius(80px);
    }
    label {
      display: block;
      text-transform: capitalize;
      margin-top: 6px;
      margin-bottom: 3px;
      color: #fff;
      font-size: 26px;
    }

  }
}

.question {
  grid-area: question;
  h4 {
    background: $yellow;
    @include border_radius(10px);
    padding: 20px;
    //margin: 20px;
    font-size: 30px;
    color: $text-color;
  }
  .question-h3{
    background: $yellow;
    @include border_radius(10px);
    padding: 20px;
    //margin: 20px;
    font-size: 26px;
    color: $text-color;
    h3{
      font-size: 30px;
      display: inline-block;
    }
    span{
      display: inline-block;
      width: 40px;
      height: 40px;
      @include border-radius(50px);
      margin-right: 10px;
      background: $text-color;
      color: #fff;
    };
  }
}

.q-answer_first {
  grid-area: q_answer_first;
}

.q-answer_second {
  grid-area: q_answer_second;
}

.q-bottom {
  grid-area: q_bottom;
}

.q-user_1 {
  //grid-area: q_user_1;
}

.q-user_2 {
  grid-area: q_user_2;
}

.q-user_3 {
  grid-area: q_user_3;
}

.q-user_4 {
  grid-area: q_user_4;
}

.q-user_5 {
  grid-area: q_user_5;
}

.q-reply_1 {
  //grid-area: q_reply_1;
}

.q-reply_3 {
  grid-area: q_reply_3;
}

.q-reply_4 {
  grid-area: q_reply_4;
}

.q-reply_5 {
  grid-area: q_reply_5;
}

.result {
  position: absolute;
  right: -16px;
  background: rgb(218, 218, 218);
  top: 0px;
  z-index: 9;
  overflow-y: auto;
  overflow-x: hidden;
  padding-top: 10px;
  height: 75vh;
}

.result {
  .activity-stream {
    background: $ibox-content-bg;
    margin-bottom: 5px;
    .stream {
      .stream-info {
        font-size: 14px;
        margin-bottom: 6px;
        img {
          width: 35px;
          height: 35px;
        }
      }
    }
  }
}

.btn-link-color {
  i {
    padding-right: 5px;
  }
}

.login-bg {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#29a5d3+0,81d5f4+50,81d5f4+66,29a5d3+100 */
  background: #6fcbed; /* Old browsers */
  background: -moz-linear-gradient(top, #29a5d3 0%, #81d5f4 50%, #81d5f4 66%, #29a5d3 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #29a5d3 0%, #81d5f4 50%, #81d5f4 66%, #29a5d3 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #29a5d3 0%, #81d5f4 50%, #81d5f4 66%, #29a5d3 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#29a5d3', endColorstr='#29a5d3', GradientType=0); /* IE6-9 */
  background-repeat: no-repeat;
  overflow: hidden;

  .btn-primary {
    background: $redSunQuick;
    &:hover, &:focus {
      background: darken($redSunQuick, 3%);
    }
  }
}


.login-bg-img {

  position: fixed;
  z-index: -1;
  width: 100vw;
  height: 90vh;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: 0;
}

.sunquick_logo {
  width: 230px;
  margin-bottom: 80px;
}

.register_user-av {
  width: 100%;
  .btn {
    height: 32px;
    width: 100%;
  }
  &:hover {
    cursor: pointer;
  }

  img {
    border: 1px solid #fff;
    width: 100px;
    height: 100px;
    @include border_radius(100px);
  }
  .upload-btn-wrapper {
    width: 100%;
  }
}

.result-mark {
  background: $result;
  h3 {
    font-size: 28px;
    margin: 17px 3px 3px;
    text-transform: capitalize;
    text-align: center;
    width: 100%;
  }
  img {
    border: 1px solid $light-blue;
    @media (max-width: 624px) {
      margin-top: 21px;
    }
    margin-top: 20px;
  }
  h1 {
    font-size: 30px;
    background: $navy;
    color: $light-blue;
    margin-top: 14px;
    padding: 0 5px;
    margin-left: -10px;

  }

  .winner {
    width: 70px;
    height: 70px;
    @include border_radius(200px);
    border: 2px solid lighten($redSunQuick, 9%);
    background: $yellow;
    position: relative;
    text-align: center;
    margin: 0 auto;
    i {
      font-size: 26px;
      position: absolute;
      color: $redSunQuick;
      opacity: 0.8;
      top: 1px;
      left: 0;
      right: 0;
      bottom: 0;
      z-index: 0;
    }
    span {
      display: block;
      position: relative;
      z-index: 2;
      top: 14px;
      font-size: 38px;

    }
    &:first-child {
      font-size: 26px;
    }

    .winner_text {
      font-size: 18px;
      top: 14px;
    }
  }
}

.padding-left-10 {
  padding-left: 10px !important;
}

.padding-0 {
  padding: 0 !important;
}

.profile_round {
  position: relative;
  span {
    display: inline-block;
  }
  .p_round {
    font-size: 24px;
    padding: 8px;
    background: $light-blue;
    border: 1px solid darken($light-blue, 3%);
    @include border_radius(50%);
    width: 55px;
    height: 55px;
    line-height: 24px;
    position: relative;
    text-align: center;
    > span {
      display: block;
      font-size: 9px;
      position: relative;
      top: -4px;
    }

  }
  .p_round.p_round_active {
    background: $lazur;
    border-color: darken($lazur, 3%);;
    color: #fff;
  }
  > span {
    //margin-right: 8px;
    margin-top: 14px;


  }
  &:last-child {
    margin-right: 0;
  }

}

.is_admin {
  float: left;
  position: relative;
  height: 100vh;
  background: $text-color;
  z-index: 1;
  margin-right: 15px;
  .navbar-static-side {
    position: relative !important;
  }
}

#page-wrapper {
  //margin: 0 !important;
}

.right_menu {
  background: $ibox-content-bg;
  margin-bottom: 10px;
  width: 100%;
  text-align: center;
  .stream-panel {
    margin-left: 0;
    padding: 0 20px;
  }
  .stream-info {
    img {
      width: 70px;
      height: 70px;
    }
    span {
      font-size: 22px;
      display: inline-block;
      padding-left: 10px;
    }
  }
  .fa-trophy {
    font-size: 60px;
    color: $lazur;
  }
  .label-primary {
    @include border_radius(100px);
    display: block;
    width: 60px;
    height: 60px;
    font-size: 44px;
    text-align: center;
    line-height: 61px;
    margin: -2px auto 0;
    padding: 0;
  }
  .text-muted {
    padding-top: 5px;
    display: block;
  }
}

@keyframes flickerAnimation {
  0% {
    background: #fff;
  }
  50% {
    background: $result;
  }
  100% {
    background: #fff;
  }
}

@-o-keyframes flickerAnimation {
  0% {
    background: #fff;
  }
  50% {
    background: $result;
  }
  100% {
    background: #fff;
  }
}

@-moz-keyframes flickerAnimation {
  0% {
    background: #fff;
  }
  50% {
    background: $result;
  }
  100% {
    background: #fff;
  }
}

@-webkit-keyframes flickerAnimation {
  0% {
    background: #fff;
  }
  50% {
    background: $result;
  }
  100% {
    background: #fff;
  }
}

.animate-flicker {
  -webkit-animation: flickerAnimation 4s infinite;
  -moz-animation: flickerAnimation 4s infinite;
  -o-animation: flickerAnimation 4s infinite;
  animation: flickerAnimation 4s infinite;
}

.m-b-10 {
  margin-bottom: 10px;
}

.scroll-content {
  height: 100vh;
  overflow-y: auto;
  overflow-x: hidden;
}

.loading_wrapper {
  position: relative;
  p {
    font-size: 18px;
    color: $text-color;
  }
}

.clocks {
  width: 100%;
  margin: 50px auto 0;
  text-align: center;
}

.h-time {
  position: relative;
  top: 4px;
}

.login-bg-opacty {
  opacity: 0.3;
}

.gray-bg {
  background: none;
}

.header-color {
  color: #fff;
  a {
    color: #fff !important;
  }
}

.navbar.navbar-static-top{
  height: 100px;
  position: fixed;
  background-color: rgba(79, 184, 224, 0.94);

}


.result-1{
  .col-md-6{
    margin-bottom: 20px;
  }
  > .row{
    margin: 0 10px;
  }
}

.login-bg-img-img{
  background: url(loginimage/orange-heart-750px.png) no-repeat;
  background-position: center -70px;
}

.dashbard-1{
  margin: 10px 10px 0;
}

.alert-warning{
  margin-top: 10px;
}

.question-user{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 10px;
  justify-content: center;
  align-items: center;
  text-align: center;
  .col-lg-12{
    padding-top: 8px;
    min-height: 300px;
  }
}

.template_col_5 {
  .partici-round {
    padding-top: 8px;
    min-height: 300px;
    background: $text-color;
    position: relative;
    margin-bottom: 15px;
  }
}


.center{
  position: absolute;
  left: 0px;
  right: 0px;
  bottom: 0;
  top: 30%;
}

.col-5-grid{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 10px;
}
.col-5-grid-res{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  width: 100%;
  grid-gap: 6px;
}